当前位置:首页 > 服务端 > 使用CocoaPods 安装 SDK报错 [!] Invalid `Podfile` file: syntax error, unexpected do, expecting end-of-input.

使用CocoaPods 安装 SDK报错 [!] Invalid `Podfile` file: syntax error, unexpected do, expecting end-of-input.

官方给的文本有误,正确版本为

# 自6.0.0起基础地图支持分包集成
platform :ios, '13.0' #手机的系统
use_frameworks! target
'YourProjectTarget' do #工程名字 pod 'BaiduMapKit', '6.0.0' # 默认集成全量包 # 可选组件 # pod 'BaiduMapKit/Map', '6.0.0' # 集成地图Map包 # pod 'BaiduMapKit/Search', '6.0.0' # 集成地图Search包 # pod 'BaiduMapKit/Cloud', '6.0.0' # 集成地图Cloud包 # pod 'BaiduMapKit/Utils', '6.0.0' # 集成地图Utils包 end

重点在于 'do' 不要换行 do' 不要换行  do' 不要换行 

第三行的'YourProjectTarget' 要修改为自己的工程名称,不然会报错  

[!] Unable to find a target named `YourProjectTarget` in project 

 

作者:▁▁丶小白 ℡
来源链接:https://www.cnblogs.com/xzp0222/p/14430790.html

版权声明:
1、Java侠(https://www.javaxia.com)以学习交流为目的,由作者投稿、网友推荐和小编整理收藏优秀的IT技术及相关内容,包括但不限于文字、图片、音频、视频、软件、程序等,其均来自互联网,本站不享有版权,版权归原作者所有。

2、本站提供的内容仅用于个人学习、研究或欣赏,以及其他非商业性或非盈利性用途,但同时应遵守著作权法及其他相关法律的规定,不得侵犯相关权利人及本网站的合法权利。
3、本网站内容原作者如不愿意在本网站刊登内容,请及时通知本站(javaclubcn@163.com),我们将第一时间核实后及时予以删除。





本文链接:https://www.javaxia.com/server/125499.html

标签: syntax error
分享给朋友:

“使用CocoaPods 安装 SDK报错 [!] Invalid `Podfile` file: syntax error, unexpected do, expecting end-of-input.” 的相关文章